Workspace.Workflows.Contributors
Tags: automation, workflows
Endpoints
GET /{workflow_id}/contributors- ContributorsPOST /{workflow_id}/contributors- ContributorsDELETE /{workflow_id}/contributors/{contributor_id}- Delete ContributorsPATCH /{workflow_id}/contributors/{contributor_id}- Update Contributors
Contributors
GET /api/v2/w/{workspace_uuid}/workflows/{workflow_id}/contributors
Description:
Workflow creation and management
List all contributors for a workflow.
Authentication: Requires workspace member
Parameters:
workflow_id(Integer)
Response: List of WorkflowContributorResponse
Contributors
POST /api/v2/w/{workspace_uuid}/workflows/{workflow_id}/contributors
Description:
Workflow creation and management
Add a contributor to a workflow.
Authorization: Requires workflows:write scope
Parameters:
workflow_id(Integer)request- See CreateWorkflowContributorRequest
Response: See WorkflowContributorResponse
Delete Contributors
DELETE /api/v2/w/{workspace_uuid}/workflows/{workflow_id}/contributors/{contributor_id}
Description:
Workflow creation and management
Remove a contributor from a workflow.
Authorization: Requires workflows:admin scope
Parameters:
workflow_id(Integer)contributor_id(Integer)
Response: See dict
Update Contributors
PATCH /api/v2/w/{workspace_uuid}/workflows/{workflow_id}/contributors/{contributor_id}
Description:
Workflow creation and management
Update a workflow contributor.
Authorization: Requires workflows:write scope
Parameters:
workflow_id(Integer)contributor_id(Integer)request- See UpdateWorkflowContributorRequest
Response: See WorkflowContributorResponse